#include "partition.h"
#include<bits/stdc++.h>
using namespace std;
#define endl '\n'
std::vector<int> solve(std::vector<int> A)
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    for (int i = 0; i < A.size(); i++)
    {
        A[i] = i;
    }
    swap(A[A.size()-1], A[A.size()/2-1]);
    return {A};
}
